<?php
// force reload
// - set old timestamp to bodycache file before page reloading
// Author  : Jasmin
// URL     : http://jasmin.sakura.ne.jp/
// License : GPL v2 or (at your option) any later version

function plugin_reload_action()
{
	global $vars;
	global $defaultpage;

	$page = (isset($vars['page']) && $vars['page'] !== "" ) ? $vars['page'] : $defaultpage ;

	$cachename = get_cachename($page);

	if ( file_exists($cachename) ) { // cache exists.
		pkwk_touch_file($cachename, 0);
	}

	pkwk_headers_sent();
	if ( $page === $defaultpage ) {
		header('Location: ' . get_script_uri() );
	} else {
		header('Location: ' . get_script_uri() . '?' . pagename_urlencode($page));
	}
	exit;

}
?>
